# Get advertisers

| HTTP method | Endpoint                    |
| ----------- | --------------------------- |
| **GET**     | **/v1/batches/advertisers** |

## Query string parameters <a href="#query-string-parameters" id="query-string-parameters"></a>

| Conditions | Parameters                | Type    | Description                                                                                                                                                               |
| ---------- | ------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Offset     | offset                    | offset  | Check page scale.                                                                                                                                                         |
| Limit      | limit                     | limit   | The number of date displays in each page.                                                                                                                                 |
| Sort       | sort                      | sort    | Ranking according to the specified field ascending "+", or descending "-".                                                                                                |
| Filters    | filters                   | filter  | Query requirements of Specify field.                                                                                                                                      |
|            |                           |         | EQUAL\_TO    NOT\_EQUAL\_TO    LESS\_THAN    LESS\_THAN\_OR\_EQUAL\_TO    GREATER\_THAN    GREATER\_THAN\_OR\_EQUAL\_TO    CONTAINS    NOT\_CONTAINS    NULL    NOT\_NULL |
| Fields     | fields                    | field   | You can choose the field of the query (the result of the query is in line with the selected field).                                                                       |
|            | id                        | integer | A string that uniquely identifies this advertiser.                                                                                                                        |
|            | first\_name               | string  | The first\_name of the this Advertiser.                                                                                                                                   |
|            | last\_name                | string  | The last\_name of the this Advertiser.                                                                                                                                    |
|            | email                     | string  | The email of the this Advertiser.                                                                                                                                         |
|            | company                   | string  | The company of the this Advertiser.                                                                                                                                       |
|            | country                   | string  | The country of the Advertiser's physical address.                                                                                                                         |
|            | status                    | string  | Advertiser status.                                                                                                                                                        |
|            | instant\_message\_account | string  | Instant messaging account.                                                                                                                                                |
|            | instant\_message\_type    | integer | Types of instant messaging.                                                                                                                                               |
|            | manager\_id               | integer | Account Manager ID.                                                                                                                                                       |
|            | phone                     | string  | The phone number of the Advertiser.                                                                                                                                       |
|            | website                   | string  |                                                                                                                                                                           |
|            | security\_mode            | integer | Selection to activate security code. 0：close ;1：open                                                                                                                      |
|            | security\_code            | string  | Conversion security code.                                                                                                                                                 |
|            | create\_time              | integer | Create time.                                                                                                                                                              |
| Contains   | contains                  | string  | List of related objects to return with each result.                                                                                                                       |
|            | advertiser                | string  | Advertiser information (default return)                                                                                                                                   |
|            | advertiser\_whitelist     | object  | Advertiser whitelist.                                                                                                                                                     |
|            | postback                  | string  | Advertiser's postback.                                                                                                                                                    |

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

|                       | Field                     | Type    | Description                                                                                                        |
| --------------------- | ------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------ |
| advertiser            |                           |         |                                                                                                                    |
|                       | id                        | integer | A string that uniquely identifies this advertiser.                                                                 |
|                       | first\_name               | string  | The first\_name of the this Advertiser.                                                                            |
|                       | last\_name                | string  | The last\_name of the this Advertiser.                                                                             |
|                       | email                     | string  | The email of the this Advertiser.                                                                                  |
|                       | company                   | string  | The company of the this Advertiser.                                                                                |
|                       | country                   | string  | The country of the Advertiser's physical address.                                                                  |
|                       | status                    | string  | Advertiser status.                                                                                                 |
|                       | instant\_message\_account | string  | Instant messaging account.                                                                                         |
|                       | instant\_message\_type    | integer | Types of instant messaging.                                                                                        |
|                       | manager\_id               | integer | Account Manager ID.                                                                                                |
|                       | phone                     | string  | The phone number of the Advertiser.                                                                                |
|                       | website                   | string  |                                                                                                                    |
|                       | security\_mode            | integer | Selection to activate security code. 0：close ;1：open                                                               |
|                       | security\_code            | string  | Conversion security code.                                                                                          |
|                       | create\_time              | integer | Create time.                                                                                                       |
| advertiser\_whitelist |                           |         |                                                                                                                    |
|                       | is\_open                  | integer | Open whitelist.0：close ;1：open **NOTE: when is\_open=1, whitelist information cannot be empty.**                   |
|                       | ip\_address               | array   | Ip address.                                                                                                        |
|                       | ip                        | string  | Ip                                                                                                                 |
|                       | ip\_range                 | array   | Ip range.                                                                                                          |
|                       | start                     | string  | Start ip.                                                                                                          |
|                       | end                       | string  | End ip.                                                                                                            |
| postback              | postback                  | string  | Postback URL.                                                                                                      |
|                       | totalPages                | integer | The list of data pages (associated with your limit).                                                               |
|                       | totalRows                 | integer | Total number of available data.                                                                                    |
|                       | offset                    | integer | The number of records from a collection to skip. Iterating over large collections with this parameter can be slow. |
|                       | limit                     | integer | The number of data displayed on one page                                                                           |

## Example request <a href="#example-request" id="example-request"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/batches/advertisers?sort=-id&offset=1&limit=2&fields=id,first_name,last_name,country,status,manager_id,company,email,website&contains=advertiser,advertiser_whitelist,postback&filters[status][EQUAL_TO]=active&filters[id][GREATER_THAN]=100>

**Request GET** <http://{networkname}.api.offerslook.com/v1/batches/advertisers?sort=-id&offset=1&limit=2&fields=id,first_name,last_name,country,status,manager_id,company,email,website&contains=advertiser,advertiser_whitelist,postback&filters[status][EQUAL_TO]=active&filters[id][GREATER_THAN]=100>

## Example response <a href="#example-response" id="example-response"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "rowset": [
          {
            "advertiser": {
              "id": 102,
              "email": "demo@demo.com",
              "first_name": "demo",
              "last_name": "demo",
              "country": "Tunisia",
              "status": "active",
              "manager_id": 1,
              "website": "https://www.offerslook.com/",
              "company": "DEMO"
            },
            "advertiser_whitelist": {
              "advertiser_id": 102,
              "is_open": 0,
              "ip_address": [

              ],
              "ip_range": [

              ]
            },
            "postback": "http://www.offerslook.com?click_id={click_id}&adv_id=102"
          },
          {
            "advertiser": {
              "id": 101,
              "email": "test@Jtest.com",
              "first_name": "test",
              "last_name": "test",
              "country": "Morocco",
              "status": "active",
              "manager_id": 1,
              "website": "https://www.offerslook.com/",
              "company": "offerslook"
            },
            "advertiser_whitelist": {
              "advertiser_id": 101,
              "is_open": 1,
              "ip_address": [
                {
                  "id": "1",
                  "ip": "127.0.0.1"
                }
              ],
              "ip_range": [
                {
                  "start": "192.168.1.1",
                  "end": "192.168.1.12",
                  "id": "2"
                }
              ]
            },
            "postback": "http://www.offerslook.com?click_id={click_id}&adv_id=101&security_code=d0ede501a4efdbc84aec312fd484c799"
          }
        ],
        "totalPages": 5,
        "totalRows": 9,
        "offset": 1,
        "limit": 2
      }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/advertisers/get-advertisers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
